Jupiter ERP
Account API

Update ContactFields

/api/account/contact-fields/{id}

PATCHHTTP
patch/api/account/contact-fields/{id}

Example request

PATCH https://api.jupiter-erp.com/api/account/contact-fields/example-id

Code
curl -X PATCH 'https://api.jupiter-erp.com/api/account/contact-fields/example-id' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "key": "string",
  "name": "string",
  "description": "string",
  "type": "string",
  "select_values": [
    "string"
  ],
  "default_value": null
}'

Parameters

NameInRequiredDescription
idpathyes

Request body

Optional

FieldTypeDescription
default_valueobjectdefault value
descriptionstring
keystring
namestring
orderinginteger
select_valuesstring[]

array

Elements

string

typestring
Example request
{
  "key": "string",
  "name": "string",
  "description": "string",
  "type": "string",
  "select_values": [
    "string"
  ],
  "default_value": null
}

Responses

200OK
FieldTypeDescription
created_atstring (date-time)Creation timestamp in ISO 8601 format.
default_valueobjectdefault value
descriptionstring
id*integer
key*string
name*string
orderinginteger
select_valuesstring[]

array

Elements

string

type*string
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
Example response
{
  "id": 0,
  "key": "string",
  "name": "string",
  "description": "string",
  "type": "string",
  "select_values": [
    "string"
  ]
}
ContactFields

Questions about integration?

PATCH /api/account/contact-fields/{id} · Jupiter ERP